## gate.corpora
Interface EventAwareLanguageResource

All Known Subinterfaces:
  EventAwareDocument

All Known Implementing Classes:
  DatabaseCorpusImpl

public interface EventAwareLanguageResource

Field Summary
`static int` `DOC_CONTENT`
`static int` `DOC_MAIN`
`static int` `RES_FEATURES`
`static int` `RES_NAME`

Method Summary
`boolean` `isResourceChanged(int changeType)`

Field Detail

### RES_NAME

    public static final int RES_NAME

### DOC_CONTENT

    public static final int DOC_CONTENT

### RES_FEATURES

    public static final int RES_FEATURES

### DOC_MAIN

    public static final int DOC_MAIN

Method Detail

### isResourceChanged

    public boolean isResourceChanged(int changeType)